# Change Log
All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](http://semver.org/).

[How to use a CHANGELOG](http://keepachangelog.com/)
## [1.3.1]
### Fixed
- Changes made as part of 1.3.0 caused an error to be thrown when ActiveSupport::Duration was used for `limit` or `inc` arguments of accelerating_check
- Reverted `Math.log` formula for accelerating_check in favor of a more simple formula because the former was worse than the latter
- Live logging amount of time an operation will be sleeping before sleep occurs
## [1.3.0]
### Added
- Say hello to steady_check which sleeps for the increment passed to it
### Fixed
- accelerating_check algorithm was messed up, so now using `log` to better approximate reverse of backoff_check
## [1.2.1]
### Fixed
- backoff_check and accelerating_check now reset the logger when finished.
- Corrected README documentation about accelerating_check
## [1.2.0]
### Added
- reverse backoff added for situations when the likelihood of the condition being true increases over time
## [1.1.1]
### Fixed
- Removed references to the `colored` gem, which was never required, or that useful
## [1.1.0]
### Updated
- backoff_check to only log out on failure.
## [1.0.0] - 2016-03-21
### Added
- backoff_check, log, and suppress class methods on GovDelivery::Proctor
