# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'govdelivery/proctor/version'

Gem::Specification.new do |spec|
  spec.name          = 'govdelivery-proctor'
  spec.version       = GovDelivery::Proctor::VERSION
  spec.authors       = ['Bill Bushey']
  spec.email         = ['bill.bushey@govdelivery.com']
  spec.summary       = 'Classes and functions to support feature testing.'
  spec.description   = 'Classes and functions to support feature testing.'
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'test-unit'
  spec.add_development_dependency 'activesupport', '~>4.0'
end
